#!/usr/bin/env bash

#SBATCH -n 1
#SBATCH --time 72:00:00
#SBATCH --error=job.%J.err
#SBATCH --output=job.%J.out

set -xv

PATH_TO_CONF_FILE=diags.conf
PATH_TO_DIAGNOSTICS=~/pyCharm/ocean_diagnostics
PATH_TO_VIRTUALENV=/shared/earth/ClimatePrediction/EarthDiagnostics/bin

module purge
module load NCO/4.5.4-foss-2015a
module load CDO/1.6.9-foss-2015a
module load netCDF-Fortran/4.2-foss-2015a

source ${PATH_TO_VIRTUALENV}/activate

export PYTHONPATH=${PATH_TO_DIAGNOSTICS}:${PYTHONPATH}
cd ${PATH_TO_DIAGNOSTICS}/earthdiagnostics/
./earthdiags.py -lc DEBUG -f ${PATH_TO_CONF_FILE}
